Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670076 - net-im/psi-1.3-r1 failed to build, verifying Qt build environment ... fail
Summary: net-im/psi-1.3-r1 failed to build, verifying Qt build environment ... fail
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rion
URL:
Whiteboard: fixed in 1.4
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-11-01 12:44 UTC by Matej
Modified: 2018-11-05 08:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info (emerge.info,5.41 KB, application/x-info)
2018-11-01 12:44 UTC, Matej
Details
psi-1.4.ebuild (psi-1.4.ebuild,3.10 KB, text/plain)
2018-11-01 23:49 UTC, Rion
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matej 2018-11-01 12:44:10 UTC
Created attachment 553806 [details]
emerge info

emerge net-im/psi fails with the following output.

 * Package:    net-im/psi-1.3-r1
 * Repository: gentoo
 * Maintainer: rion4ik@gmail.com proxy-maint@gentoo.org
 * USE:        abi_x86_64 amd64 crypt dbus elibc_glibc hunspell kernel_linux ssl userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking psi-1.3.tar.xz to /var/tmp/portage/net-im/psi-1.3-r1/work
>>> Unpacking psi-l10n-1.3.tar.gz to /var/tmp/portage/net-im/psi-1.3-r1/work
>>> Source unpacked in /var/tmp/portage/net-im/psi-1.3-r1/work
>>> Preparing source in /var/tmp/portage/net-im/psi-1.3-r1/work/psi-1.3 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/net-im/psi-1.3-r1/work/psi-1.3 ...
./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --no-separate-debug-info --qtdir=/usr/lib64/qt5/bin/.. --disable-aspell --enable-qdbus --disable-enchant --enable-hunspell --disable-xss --disable-whiteboarding
configure: WARNING: unrecognized options: --build=x86_64-pc-linux-gnu
configure: WARNING: unrecognized options: --host=x86_64-pc-linux-gnu
configure: WARNING: unrecognized options: --mandir=/usr/share/man
configure: WARNING: unrecognized options: --infodir=/usr/share/info
configure: WARNING: unrecognized options: --sysconfdir=/etc
configure: WARNING: unrecognized options: --localstatedir=/var/lib
configure: WARNING: unrecognized options: --enable-qdbus
configure: WARNING: unrecognized options: --enable-hunspell
configure: WARNING: unrecognized options: --disable-whiteboarding
Configuring Psi ...
Verifying Qt build environment ... fail

Reason: Unable to find the 'qmake' tool for Qt 4 or 5.

Be sure you have a proper Qt 4.0+ build environment set up.  This means not
just Qt, but also a C++ compiler, a make tool, and any other packages
necessary for compiling C++ programs.

If you are certain everything is installed, then it could be that Qt is not
being recognized or that a different version of Qt is being detected by
mistake (for example, this could happen if $QTDIR is pointing to a Qt 3
installation).  At least one of the following conditions must be satisfied:

 1) --qtdir is set to the location of Qt
 2) $QTDIR is set to the location of Qt
 3) QtCore is in the pkg-config database
 4) qmake is in the $PATH

This script will use the first one it finds to be true, checked in the above
order.  #3 and #4 are the recommended options.  #1 and #2 are mainly for
overriding the system configuration.

 * ERROR: net-im/psi-1.3-r1::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 1353:  Called econf '--no-separate-debug-info' '--qtdir=/usr/lib64/qt5/bin/..' '--disable-aspell' '--enable-qdbus' '--disable-enchant' '--enable-hunspell' '--disable-xss' '--disable-whiteboarding'
 *        phase-helpers.sh, line  718:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  121:  Called die
 * The specific snippet of code:
 *   		die "$@"

Other Qt packages build just fine. qmake reports Qt version 5.11.1.

# qmake -v
QMake version 3.1
Using Qt version 5.11.1 in /usr/lib64

Any idea what could be a problem?
Comment 1 Andreas Sturmlechner gentoo-dev 2018-11-01 13:28:41 UTC
This is caused by qmake_check() in configure not being prepared for double-digit release versions (line 405).
Comment 2 Rion 2018-11-01 16:03:06 UTC
I'll provide a patch from upstream today evening.
Comment 3 Rion 2018-11-01 23:46:20 UTC
I just released Psi 1.4 but too sleepy for ebuilds.
So tomorrow
Comment 4 Rion 2018-11-01 23:49:12 UTC
Created attachment 553838 [details]
psi-1.4.ebuild
Comment 6 Andreas Sturmlechner gentoo-dev 2018-11-04 20:40:45 UTC
1.4 added in 9fe9ff4461f87d1fb042ac7d0b3c330453958e6f, thanks
Comment 7 Matej 2018-11-05 08:24:45 UTC
The new ebuild works for me. Thank you.